/*
 * am2302.h
 *
 *  Created on: 22.02.2013
 *      Author: Thomas
 */

#ifndef AM2302_H_
#define AM2302_H_

#define AM2302_STARTTRIGGER		2000		// 1/500µs
#define	AM2302_ZERO				10000		// 1/100µS Zero
//#define	AM2302_ONE				14285		// 1/70µs
#define AM2302_STARTBIT			20000		// 1/50µs
#define AM2302_JITTER			50

#define AM2302_LOWSTATE			0
#define AM2302_HIGHSTATE		1

struct am2303_data
{
	int32_t	temperatur;
	int32_t	humidity;
};

//Setup of the IO-pin for the AM2302-interface
void am2303Init(void);

int32_t	am2302Read(struct am2303_data * buffer);


#endif /* AM2302_H_ */
