/*
 * types.h
 *
 *  Created on: 18.10.2011
 *      Author: Thomas
 */

#ifndef TYPES_H_
#define TYPES_H_

//-------------------------------------------------------------------------------------------------------------------------------------------------------------
// Definitions
//-------------------------------------------------------------------------------------------------------------------------------------------------------------
#ifndef NULL
#define NULL    ((void *)0)
#endif

#ifndef FALSE
#define FALSE   (0)
#endif

#ifndef TRUE
#define TRUE    (1)
#endif

//-------------------------------------------------------------------------------------------------------------------------------------------------------------
// Controler independent datatypes
//-------------------------------------------------------------------------------------------------------------------------------------------------------------
typedef	signed char			int8_t;		//!< 1-Byte signed
typedef	unsigned char		uint8_t;	//!< 1-Byte unsigned
typedef	signed short		int16_t;	//!< 2-Byte signed
typedef unsigned short		uint16_t;	//!< 2-Byte unsigned
typedef	signed int			int32_t;	//!< 4-Byte signed
typedef	unsigned int		uint32_t;	//!< 4-Byte unsigned
typedef	signed long long	int64_t;	//!< 8-Byte signed
typedef	unsigned long long	uint64_t;	//!< 8-Byte unsigned
typedef	int					BOOL;
/*
#define 	int8_t		char				//!< 1-Byte signed
#define 	uint8_t		unsigned char		//!< 1-Byte unsigned
#define		int16_t		short				//!< 2-Byte signed
#define		uint16_t	unsigned short		//!< 2-Byte unsigned
#define		int32_t		int					//!< 4-Byte signed
#define		uint32_t	unsigned int		//!< 4-Byte unsigned
#define		int64_t		long long			//!< 8-Byte signed
#define		uint64_t	unsigned long long	//!< 8-Byte unsigned
*/

#endif /* TYPES_H_ */
